package com.bohuikeji.frame.module.admin.entity.web.block;

import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.bohuikeji.frame.module.admin.base.HtmlBlockFormBase;
import com.bohuikeji.frame.module.admin.entity.configure.BaseInputAn;
import com.bohuikeji.frame.module.admin.entity.configure.FieldConf;

import java.lang.reflect.Field;

/**
 * 多行文本输入框元素块
 */
public class TextBlock extends HtmlBlockFormBase<TextBlock> {
    /**
     * 初始化组件默认属性
     *
     * @param field
     */
    public TextBlock(Field field, EntityBase entity) {
        super(field,entity);
    }

    private String placeholder;
    private int maxlength=2000;

    public String getPlaceholder() {
        return placeholder;
    }

    public TextBlock setPlaceholder(String placeholder) {
        this.placeholder = placeholder;
        return this;
    }
    public int getMaxlength() {
        return maxlength;
    }
    public TextBlock setMaxlength(int maxlength) {
        this.maxlength = maxlength;
        return this;
    }
    public TextBlock(FieldConf fieldConf, BaseInputAn inputAn){
        super(fieldConf,inputAn);
    }
}
